package main

import (
	"fmt"
	goutil "git.gutmet.org/goutil.git/misc"
	"git.gutmet.org/simpleserver.git"
	"git.gutmet.org/wombat.git/gallery"
	"git.gutmet.org/wombat.git/generate"
	"git.gutmet.org/wombat.git/initer"
	"git.gutmet.org/wombat.git/post"
	"os"
)

func serve(args []string) error {
	simpleserver.Serve("stage2")
	return nil
}

func main() {
	commands := []goutil.Command{
		goutil.NewCommandWithFlags("init", initer.Command, "initialize wombat directory"),
		goutil.NewCommandWithFlags("gen", generate.Command, "generate the website"),
		goutil.NewCommandWithFlags("post", post.Command, "create a new blogpost"),
		goutil.NewCommand("serve", serve, "just execute web server"),
		goutil.NewCommandWithFlags("genpics", gallery.Command, "generate galleries"),
		goutil.NewCommandWithFlags("newgallery", gallery.NewCommand, "init new gallery"),
	}
	err := goutil.Execute(commands)
	if err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(1)
	}
}
